Skip to main content
GET
/
v1
/
whatsapp
/
conversations
List conversations
curl --request GET \
  --url https://api.whatsapp-use.com/v1/whatsapp/conversations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "conversation_id": "<string>",
      "chat_jid": "<string>",
      "kind": "<string>",
      "subject": "<string>",
      "direct_person_id": "<string>",
      "is_archived": true,
      "last_message_at": "2023-11-07T05:31:56Z",
      "participants": [
        {
          "participant_jid": "<string>",
          "person_id": "<string>",
          "role": "<string>"
        }
      ],
      "seq": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-WhatsApp-Use-Connection-Id
string

Required when the API key can access multiple WhatsApp connections.

Response

Conversations.

items
object[]